import ReactNative from "react-native";
const {
  DeviceEventEmitter,
  NativeAppEventEmitter,
  Platform,
  NativeModules
} = ReactNative;
const RNZipArchive = NativeModules.RNZipArchive;
export const unzip = (source, target, charset = "UTF-8") => {
  return RNZipArchive.unzip(source, target, charset);
};
export const isPasswordProtected = source => {
  return RNZipArchive.isPasswordProtected(source).then(isEncrypted => !!isEncrypted);
};
export const unzipWithPassword = (source, target, password) => {
  return RNZipArchive.unzipWithPassword(source, target, password);
};
export const zipWithPassword = (source, target, password, encryptionMethod = "") => {
  return RNZipArchive.zipWithPassword(source, target, password, encryptionMethod);
};
export const zip = (source, target) => {
  return RNZipArchive.zip(source, target);
};
export const zipFiles = (files, target, options = {}) => {
  return RNZipArchive.zipFiles(files, target, options);
};
export const unzipAssets = (source, target) => {
  if (!RNZipArchive.unzipAssets) {
    throw new Error("unzipAssets not supported on this platform");
  }
  return RNZipArchive.unzipAssets(source, target);
};
export const zipEntryToBase64 = async (archiveName, fileName) => {
  return RNZipArchive.zipEntryToBase64({
    archiveName,
    fileName
  });
};
export const subscribe = callback => {
  const emitter = Platform.OS === "ios" ? NativeAppEventEmitter : DeviceEventEmitter;
  return emitter.addListener("zipArchiveProgressEvent", callback);
};
//# sourceMappingURL=index.js.map