require 'json'

package = JSON.parse(File.read(File.join(__dir__, 'package.json')))

Pod::Spec.new do |s|
  s.name           = "react-native-zip-archive"
  s.version        = package['version']
  s.summary        = package['description']
  s.author         = package['author']
  s.authors      = { "Nick Aquilini" => "naquilini@tecnavia.com" }
  s.license        = package['license']
  s.homepage       = 'https://github.com/mockingbot/react-native-zip-archive'
  s.source         = { :git => 'https://ussvc01.newsmemory.com:3000/tecnavia/react-native-zip-archive.git', :tag => "#{s.version}"}
  s.platform       = :ios, '8.0'
  s.preserve_paths = '*.js'
  s.framework = 'Security'
  s.libraries = 'z', 'iconv'

  s.dependency 'React'
  #s.dependency 'SSZipArchive', '2.2.2'
  #s.compiler_flags = '-GCC_PREPROCESSOR_DEFINITIONS="HAVE_INTTYPES_H HAVE_PKCRYPT HAVE_STDINT_H HAVE_WZAES HAVE_ZLIB MZ_ZIP_NO_SIGNING $(inherited)"'

  s.subspec 'Core' do |ss|
    ss.source_files = 'ios/**/*.{h,m}', 'ios/**/**/*.{h,c}'
    ss.public_header_files = ['ios/RNZipArchive.h', 'ios/SSZipArchive/*.h']
  end
end
